GET /api/fleet/agents/setup

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/agents/setup

Refer to Spaces for more information.

Get the current Fleet setup status, including whether Fleet is ready to enroll agents and which requirements or optional features are missing.

[Required authorization] Route required privileges: fleet-agents-read OR fleet-agent-policies-read OR fleet-settings-read OR fleet-setup.

Responses

  • 200 application/json

    Fleet setup status

    Hide response attributes Show response attributes object
    • is_action_secrets_storage_enabled boolean
    • is_secrets_storage_enabled boolean
    • is_space_awareness_enabled boolean
    • is_ssl_secrets_storage_enabled boolean
    • isReady boolean Required
    • missing_optional_features array[string] Required

      Not more than 1 element. Value is encrypted_saved_object_encryption_key_required.

    • missing_requirements array[string] Required

      Not more than 5 elements. Values are security_required, tls_required, api_keys, fleet_admin_user, or fleet_server.

    • package_verification_key_id string
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/agents/setup
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/agents/setup' \
 --header "Authorization: $API_KEY"
Response examples (200)
Fleet is not ready — a Fleet Server and API keys are required
{
  "is_action_secrets_storage_enabled": false,
  "is_secrets_storage_enabled": false,
  "is_space_awareness_enabled": false,
  "is_ssl_secrets_storage_enabled": false,
  "isReady": false,
  "missing_optional_features": [
    "encrypted_saved_object_encryption_key_required"
  ],
  "missing_requirements": [
    "fleet_server",
    "api_keys"
  ]
}
Fleet is ready to enroll agents — all requirements are met
{
  "is_action_secrets_storage_enabled": true,
  "is_secrets_storage_enabled": true,
  "is_space_awareness_enabled": false,
  "is_ssl_secrets_storage_enabled": false,
  "isReady": true,
  "missing_optional_features": [],
  "missing_requirements": [],
  "package_verification_key_id": "D88DB4CC"
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}